-----------------------------------------------------------------------------

local L = AceLibrary("AceLocale-2.2"):new("AloftSetAll")
local SML = AceLibrary("SharedMedia-1.0")
local SML_statusbar = SML:List("statusbar")
local SML_font = SML:List("font")

-----------------------------------------------------------------------------

L:RegisterTranslations("enUS", function() return {
	["Set All"] = true,
	["Set all options"] = true,
	["Textures"] = true,
	["Sets the texture for all status bars in Aloft"] = true,
	["Fonts"] = true,
	["Sets the font for all text in Aloft"] = true,
	["Font Sizes"] = true,
	["Sets the fonts size for all text in Aloft"] = true,
} end)

-----------------------------------------------------------------------------

local AloftSetAll = Aloft:NewModule("SetAll", "AceEvent-2.0")

local lastSetTexture = ""
local lastSetFont = ""
local lastSetFontSize = 10

Aloft.Options.args.setAll =
{
	type = 'group',
	name = L["Set All"],
	desc = L["Set all options"],
	disabled = function() return not Aloft:IsActive() end,
	order = 400,
	args =
	{
		texture =
		{
			type = "text", 
			name = L["Textures"], 
			desc = L["Sets the texture for all status bars in Aloft"],
			get = function() return lastSetTexture end,
			set = function(v) lastSetTexture = v AloftSetAll:TriggerEvent("Aloft:SetAll", "texture", v) end,
			validate = SML_statusbar,
		},
		font =
		{
			type = "text", 
			name = L["Fonts"], 
			desc = L["Sets the font for all text in Aloft"],
			get = function() return lastSetFont end,
			set = function(v) lastSetFont = v AloftSetAll:TriggerEvent("Aloft:SetAll", "font", v) end,
			validate = SML_font,
		},
		fontSize =
		{
			type = 'range',
			name = L["Font Sizes"],
			desc = L["Sets the fonts size for all text in Aloft"],
			max = 16,
			min = 4,
			step = 1,
			get = function() return lastSetFontSize end,
			set = function(v) lastSetFontSize = v AloftSetAll:TriggerEvent("Aloft:SetAll", "fontSize", v) end
		},
	}
}

-----------------------------------------------------------------------------
